EC_NODE_UINT(3)

NAME
ec_node_uint - Create an unsigned integer node.

SYNOPSIS
#include <ecoli/node_int.h>

struct ec_node * ec_node_uint(
    const char   *id,    /* The node identifier. */
    uint64_t      min,   /* The minimum valid value (included). */
    uint64_t      max,   /* The maximum valid value (included). */
    /*
     * The base to use for parsing. If 0, try to guess from prefix.
     */
    unsigned int  base
);

RETURN VALUE

The node, or NULL on error (errno is set).

SEE ALSO

ec_node_int(3), ec_node_uint_getval(3), ec_node_int_getval(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.